GCubeGisViewerService (gCube GIS Viewer Widget 2.6.0-SNAPSHOT API)
Date: 2015-11-03

org.gcube.portlets.user.gcubegisviewer.client

## Interface GCubeGisViewerService

- All Superinterfaces:
    org.gcube.portlets.user.gisviewer.client.GisViewerService, com.google.gwt.user.client.rpc.RemoteService
  All Known Implementing Classes:
    GCubeGisViewerServletImpl

      @RemoteServiceRelativePath(value="GisViewerService")
      public interface GCubeGisViewerService
      extends org.gcube.portlets.user.gisviewer.client.GisViewerService

  Author:
    "Federico De Faveri defaveri@isti.cnr.it"

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `saveLayerItem(String name, String mimeType, String url, String destinationFolderId)`
    `void` | `saveMapImageItem(String name, String outputFormat, Map<String,String> parameters, String id)`
    `void` | `saveMapImageItem(String name, String mimeType, String bbox, String width, String height, String[] geoservers, String[] layers, String[] styles, String[] opacities, String[] cqlfilters, String[] gsrefs, String destinationFolderId)`

    - ### Methods inherited from interface org.gcube.portlets.user.gisviewer.client.GisViewerService

      `getBaseLayersToGisViewer, getDataResult, getDataResult, getDataResult, getGroupsInfo, getLayersInfo, getLayersInfoByLayerItems, getListProperty, getTransectParameters, parseWmsRequest`

- - ### Method Detail

    - #### saveLayerItem

          void saveLayerItem(String name,
                           String mimeType,
                           String url,
                           String destinationFolderId)
                             throws Exception

      Throws:
        `Exception`

    - #### saveMapImageItem

          void saveMapImageItem(String name,
                              String mimeType,
                              String bbox,
                              String width,
                              String height,
                              String[] geoservers,
                              String[] layers,
                              String[] styles,
                              String[] opacities,
                              String[] cqlfilters,
                              String[] gsrefs,
                              String destinationFolderId)
                                throws Exception

      Throws:
        `Exception`

    - #### saveMapImageItem

          void saveMapImageItem(String name,
                              String outputFormat,
                              Map<String,String> parameters,
                              String id)
                                throws GCubeGisViewerServiceException

      Throws:
        `GCubeGisViewerServiceException`

Copyright © 2015. All Rights Reserved.